Your best friend for file transfer.

Fetch application logoFetch

Fetch won't open after installing OS X snow leopard 10.6.3 (7 posts)

  • Started 3 years ago by kell
  • Latest reply 3 years ago from Scott McGuire
  • kell Member

    Title basically says it -- installed OS X 10.6.3 -- when I go to open Fetch in my bar, he bounces around for a minute but won't open. If I right click on it, it says Application not responding in gray, and then Options and Force Quit.

    I really need to get some stuff uploaded -- does anyone have help with this!?? Thanks

    Posted 3 years ago #

  • Scott McGuire Administrator

    Hi,

    Some older versions of Fetch are not compatible with Mac OS X 10.6 Snow Leopard. My guess is you have one of those.

    For Mac OS X 10.6 compatibility, you should use either our latest version Fetch 5.6, or at least have Fetch 5.3.1.

    Fetch 5.6 includes changes to take advantage of Mac OS X 10.6 Snow Leopard together with many other new features. You can learn what's new in Fetch 5.6 by visiting http://fetchsoftworks.com/fetch/update/info/fetch-5.6 .

    If you purchased a Fetch license after January 28, 2009, you can upgrade to Fetch 5.6 for free; otherwise it is a $10 upgrade that you can purchase by going to http://fetchsoftworks.com/fetch/upgrade . (Or, if you don't remember your serial number, send an email to us at serial@fetchsoftworks.com , and we'll send you a customized link for purchasing the upgrade.)

    Fetch 5.3.1 is compatible with Snow Leopard but includes no specific improvements for 10.6. It is a free update if you already have a Fetch 5 license. You can download it from our downloads page at http://fetchsoftworks.com/fetch/download .

    Please let us know if you have further questions.

    Thanks,

    Scott McGuire
    Fetch Softworks

    Posted 3 years ago #

  • kell Member

    Thanks for your quick response, Scott -- I guess I'm going to download the update.

    Posted 3 years ago #

  • MacHater Member

    Use 4.0.3 if you have a copy laying around.
    Works great on 10.6.7

    Posted 3 years ago #

  • Scott McGuire Administrator

    Hi,

    We do not recommend using Fetch 4.0.3 on Mac OS X 10.5 or 10.6. While it may work okay for some people, it is 9 years old and users have reported crashes, disappearing shortcuts, and incompatibility with some modern FTP server software.

    Fetch 5.6 also has many improvements over Fetch 4.0.3, such as automatic resume of stalled or failed uploads and downloads, SFTP and FTP with TLS/SSL support, droplet shortcuts, edit with any application and save the file back to the server automatically, Quick Look support, a much improved user interface, is Intel-native and much more.

    Scott McGuire
    Fetch Softworks

    Posted 3 years ago #

  • kell Member

    No problem had to spend the $10 but the company is paying for it! :D

    Posted 3 years ago #

  • Scott McGuire Administrator

    Hi Kell,

    My response was directed at "MacHater"'s reply, not yours, but thanks for letting us know, and thanks to you and your company for purchasing the upgrade. :-)

    Please let us know if you have any further questions.

    Best,

    Scott McGuire
    Fetch Softworks

    Posted 3 years ago #

Reply

  • Or nickname, if you prefer.
  • This will be kept confidential.
  • This is to ensure that you’re a person, not a spambot.